Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Track Class Reference
Inheritance diagram for Track:

## Public Member Functions
| applyIvals (self, meta, relTime, relTo)
| validateComponent (self, tupleObj)
Public Member Functions inherited from MetaInterval
| __init__ (self, *ivals, **kw)
| __add__ (self, other)
| __delitem__ (self, index)
| __delslice__ (self, i, j)
| __getitem__ (self, index)
| __getslice__ (self, i, j)
| __iadd__ (self, other)
| __len__ (self)
| __repr__ (self, *args, **kw)
| __setitem__ (self, index, value)
| __setslice__ (self, i, j, s)
| __str__ (self, *args, **kw)
| addInterval (self, ival, relTime, relTo)
| addParallel (self, list, name, relTime, relTo, duration)
| addParallelEndTogether (self, list, name, relTime, relTo, duration)
| addSequence (self, list, name, relTime, relTo, duration)
| addTrack (self, trackList, name, relTime, relTo, duration)
| append (self, ival)
| clearIntervals (self)
| clearToInitial (self)
| count (self, ival)
| extend (self, ivals)
| finish (self)
| getDuration (self)
| getIntervalStartTime (self, *args, **kw)
| getManager (self)
| index (self, ival)
| insert (self, index, ival)
| loop (self, startT=0.0, endT=-1.0, playRate=1.0)
| pause (self)
| pop (self, index=None)
| privDoEvent (self, t, event)
| privPostEvent (self)
| remove (self, ival)
| resume (self, startT=None)
| resumeUntil (self, endT)
| reverse (self)
| setIntervalStartTime (self, *args, **kw)
| setManager (self, manager)
| setPlayRate (self, playRate)
| setT (self, t)
| sort (self, cmpfunc=None)
| start (self, startT=0.0, endT=-1.0, playRate=1.0)
| timeline (self, out=None)
| validateComponents (self, components)

## Additional Inherited Members
Public Attributes inherited from MetaInterval
int | inPython = 0
| ivals = ivals
int | phonyDuration = -1
| pname = name.split('-', 1)[0]
| pstats = None
list | pythonIvals = []
Static Public Attributes inherited from MetaInterval
| add_interval = addInterval
| add_parallel = addParallel
| add_parallel_end_together = addParallelEndTogether
| add_sequence = addSequence
| add_track = addTrack
| clear_intervals = clearIntervals
| clear_to_initial = clearToInitial
| get_duration = getDuration
| get_interval_start_time = getIntervalStartTime
| get_manager = getManager
| notify = directNotify.newCategory("MetaInterval")
| priv_do_event = privDoEvent
| priv_post_event = privPostEvent
| resume_until = resumeUntil
int | SequenceNum = 1
| set_interval_start_time = setIntervalStartTime
| set_manager = setManager
| set_play_rate = setPlayRate
| set_t = setT
Properties inherited from MetaInterval
| duration = property(getDuration)
| manager = property(getManager, setManager)
| play_rate = property(CMetaInterval.getPlayRate, setPlayRate)
| t = property(CMetaInterval.getT, setT)

## Member Function Documentation

## ◆ applyIvals()

applyIvals | ( |  | self,
|  |  | meta,
|  |  | relTime,
|  |  | relTo )

Reimplemented from MetaInterval.

## ◆ validateComponent()

validateComponent | ( |  | self,
|  |  | tupleObj )

Reimplemented from MetaInterval.